// File RTMTabWidget.cpp by az

#include "RTMTabWidget.h"

#include <QWidget>
#include <QBoxLayout>

/**
 * Constructor for the RTMTabWidget base class.
 * This class is intended to be a base class only.
 * Creates a blank widget with a box layout, to be used with RTMSimulator.
 * @param parent Parent widget for this RTMTabWidget.
 */
RTMTabWidget::RTMTabWidget(QWidget* parent):
        QWidget(parent), m_BoxWidth(250), m_pParent(parent)
{
    m_pBoxLayout = new QBoxLayout(QBoxLayout::TopToBottom);
    setLayout(m_pBoxLayout);
}
